Subject: Re: bug#32463: 27.0.50; (logior -1) => 4611686018427387903

From: Tom Tromey <[email-masked]>
Date: Wed, 22 Aug 2018 10:56:56 -0600

>>>>> "Paul" == Paul Eggert <[email-masked]> writes:

Paul> My bigger concern is memory management, along with integer overflow in
Paul> size or bitcount calculation. Copies are made of bignums when not
Paul> needed

One idea is to change make_number to take ownership of the passed-in mpz_t.
I didn't do this because it makes the API confusing to use (I put in a
comment to this effect) but perhaps efficiency outweighs this; and
anyway the function could be renamed to make this more clear.

Tom